/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.arraylistsortexample;

import java.util.ArrayList;
import java.util.Comparator;

/**
 *
 * @author omozegieaziegbe
 */
public class ArrayListSortExample {

    public static void main(String[] args) {
       
        // Create an ArrayList of strings
        ArrayList<String> legumes = new ArrayList<>();

        // Add elements to the ArrayList
        legumes.add("Lentils");
        legumes.add("Chickpeas");
        legumes.add("Soybeans");
        legumes.add("Peanuts");
        legumes.add("Beans");
        
        System.out.println("Before Sorting: " + legumes);
        
        // Use the ArrayList.sort() method with naturalOrder
        legumes.sort(Comparator.naturalOrder());
        
        System.out.println("After Sorting: " + legumes);
        
        //sorting an ArrayList in descending order
        legumes.sort(Comparator.reverseOrder());
        
        System.out.println("Reverse Sorting: " + legumes);
             
    }
}
