/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.arraylistsortwithstreams;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @author omozegieaziegbe
 */
public class ArrayListSortWithStreams {

       public static void main(String[] args) {
        // Create an ArrayList of Strings
        List<String> alphabets = new ArrayList<>();
        alphabets.add("G");
        alphabets.add("A");
        alphabets.add("T");
        alphabets.add("W");
        alphabets.add("Y");

        // Sorting in ascending order using Java 8 streams
        List<String> ascendingSorted = alphabets.stream()
                .sorted()
                .collect(Collectors.toList());

        // Sorting in descending order using Java 8 streams
        List<String> descendingSorted = alphabets.stream()
                .sorted(Collections.reverseOrder())
                .collect(Collectors.toList());

        // Display the results
        System.out.println("Ascending order: " + ascendingSorted);
        System.out.println("Descending order: " + descendingSorted);
    }
}