/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.arraylistreverseorder;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;

/**
 *
 * @author omozegieaziegbe
 */
public class ArrayListReverseOrder {

    public static void main(String[] args) {
        //creating an ArrayList
        ArrayList<String> legumes = new ArrayList<String>();
        legumes.add("Lentils");
        legumes.add("Chickpeas");
        legumes.add("Soybeans");
        legumes.add("Peanuts");
        legumes.add("Beans");

        System.out.println("Before Sorting in Default Order: " + legumes);
        //sort ArrayList in descending order
        Collections.sort(legumes, new ReverseComparator());
        System.out.println("After Sorting in Descending Order: " + legumes);
    }
}

class ReverseComparator implements Comparator<String> {

    @Override
    public int compare(String s1, String s2) {
        return s2.compareTo(s1);
    }
}
