/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.sortarraylistlambda;

import java.util.ArrayList;
import java.util.Collections;

/**
 *
 * @author omozegieaziegbe
 */
public class SortArrayListLambda {

    public static void main(String[] args) {
        // Create an ArrayList of strings
        ArrayList<String> names = new ArrayList<>();
        names.add("Eva");
        names.add("Alicia"); 
        names.add("David");
        names.add("Charles");
        names.add("Bob");

        // Sort the ArrayList in ascending order using a lambda expression
        Collections.sort(names, (str1, str2) -> str1.compareTo(str2));

        // Print the sorted list
        System.out.println("Ascending Order: " + names);
        
        // Sort the ArrayList in descending order using a lambda expression
        Collections.sort(names, (str1, str2) -> str2.compareTo(str1));

        // Print the sorted list
        System.out.println("Descending Order: " + names);

    }
}
